org.keycloak.models.map.authSession

## Class AbstractRootAuthenticationSessionModel<E extends AbstractEntity>

- java.lang.Object
- - org.keycloak.models.map.authSession.AbstractRootAuthenticationSessionModel<E>

- All Implemented Interfaces:
    RootAuthenticationSessionModel
  Direct Known Subclasses:
    MapRootAuthenticationSessionAdapter

      public abstract class AbstractRootAuthenticationSessionModel<E extends AbstractEntity>
      extends Object
      implements RootAuthenticationSessionModel

  Author:
    Martin Kanis

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.keycloak.sessions.RootAuthenticationSessionModel

      `RootAuthenticationSessionModel.SearchableFields`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected E` | `entity`
    `protected RealmModel` | `realm`
    `protected KeycloakSession` | `session`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AbstractRootAuthenticationSessionModel(KeycloakSession session, RealmModel realm, E entity)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `int` | `hashCode()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.keycloak.sessions.RootAuthenticationSessionModel

      `createAuthenticationSession, getAuthenticationSession, getAuthenticationSessions, getId, getRealm, getTimestamp, removeAuthenticationSessionByTabId, restartSession, setTimestamp`

- - ### Field Detail

    - #### session

          protected final KeycloakSession session

    - #### realm

          protected final RealmModel realm

    - #### entity

          protected final E extends AbstractEntity entity

  - ### Constructor Detail

    - #### AbstractRootAuthenticationSessionModel

          public AbstractRootAuthenticationSessionModel(KeycloakSession session,
                                                        RealmModel realm,
                                                        E entity)

  - ### Method Detail

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

Copyright © 2021 JBoss by Red Hat. All rights reserved.